# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.PublisherSignUpRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :email,
    :password,
    :confirmedPassword,
    :name,
    :website,
    :logo
  ]

  @type t :: %__MODULE__{
    :email => String.t | nil,
    :password => String.t | nil,
    :confirmedPassword => String.t | nil,
    :name => String.t | nil,
    :website => String.t | nil,
    :logo => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.PublisherSignUpRequest do
  def decode(value, _options) do
    value
  end
end

